Subject: Re: linux-next: build warning after merge of the sound-asoc tree

From: Andy Shevchenko <[email-masked]>
Date: Thu, 13 Jul 2023 15:41:08 +0300

On Thu, Jul 13, 2023 at 03:19:04PM +0300, Andy Shevchenko wrote:
> On Thu, Jul 13, 2023 at 12:16:27PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the sound-asoc tree, today's linux-next build (htmldocs)
> > produced this warning:
> > 
> > include/linux/int_log.h:1: warning: no structured comments found
> > 
> > Introduced by commit
> > 
> >   f97fa3dcb2db ("lib/math: Move dvb_math.c into lib/math/int_log.c")
> 
> Can you elaborate a bit, please?
> 
> Seems to me to be a false positive, or unveils a bug somewhere else.

Ah, now I understand. There is a header file that has descriptions but
EXPORT_SYMBOL. We have to drop keyword export from the index.

Thank you for the report, I'll cook the patch ASAP.

-- 
With Best Regards,
Andy Shevchenko